[%info]
HTML 5
Reference: http://www.w3.org/TR/html5/

[%tags]
a
abbr
address
area
article
aside
audio
b
base
bdo
blockquote
body
br
button
canvas
caption
cite
code
col
colgroup
command
datalist
dd
del
details
dfn
div
dl
dt
em
embed
fieldset
figcaption
figure
footer
form
frameset
h1
h2
h3
h4
h5
h6
head
header
hgroup
hr
html
i
iframe
img
input
ins
kbd
keygen
label
legend
li
link
map
mark
menu
meta
meter
nav
noscript
object
ol
optgroup
option
output
p
param
pre
progress
q
rp
rt
ruby
samp
script
section
select
small
source
span
strong
style
sub
summary
sup
table
tbody
textarea
tfoot
th
thead
time
title
tr
ul
var
video
wbr

[%types]
<dir>=ltr|rtl
<relrev>=alternate|designates|stylesheet|start|next|prev|contents|index|glossary|copyright|chapter|section|subsection|appendix|help|bookmark
<target>=_self|_top|_blank|_parent
<halign>=left|center|right|justify|char
<talign>=left|center|right|justify
<align>=bottom|middle|top|left|right
<scope>=row|col|rowgroup|colgroup
<fontsize>=1|2|3|4|5|6|7|+1|+2|+3|+4|+5|+6|+7|-1|-2|-3|-4|-5|-6|-7
<string>
<event>
<style>
<lang>
<url>
<char>
<number>
<boolean>
<color>
<font>
<class>
<id>
<title>
<imageurl>

[#core]
accesskey=<string>
class=<class>
contenteditable=<boolean>
contextmenu=<string>
dir=<dir>
draggable=<boolean>
hidden=<boolean>
id=<id>
lang=<lang>
spellcheck=<boolean>
style=<style>
tabindex=<number>
title=<string>

[#events]
onabort=<event>
onblur=<event>
oncanplay=<event>
oncanplaythrough=<event>
onchange=<event>
onclick=<event>
oncontextmenu=<event>
ondblclick=<event>
ondrag=<event>
ondragend=<event>
ondragenter=<event>
ondragleave=<event>
ondragover=<event>
ondragstart=<event>
ondrop=<event>
ondurationchange=<event>
onemptied=<event>
onended=<event>
onerror=<event>
onfocus=<event>
onformchange=<event>
onforminput=<event>
oninput=<event>
oninvalid=<event>
onkeydown=<event>
onkeypress=<event>
onkeyup=<event>
onload=<event>
onloadeddata=<event>
onloadedmetadata=<event>
onloadstart=<event>
onmousedown=<event>
onmousemove=<event>
onmouseout=<event>
onmouseover=<event>
onmouseup=<event>
onmousewheel=<event>
onpause=<event>
onplay=<event>
onplaying=<event>
onprogress=<event>
onratechange=<event>
onreadystatechange=<event>
onscroll=<event>
onseeked=<event>
onseeking=<event>
onselect=<event>
onshow=<event>
onstalled=<event>
onsubmit=<event>
onsuspend=<event>
ontimeupdate=<event>
onvolumechange=<event>
onwaiting=<event>

[#events2]
onafterprint=<event>
onbeforeprint=<event>
onbeforeunload=<event>
onblur=<event>
onerror=<event>
onfocus=<event>
onhashchange=<event>
onload=<event>
onmessage=<event>
onoffline=<event>
ononline=<event>
onpagehide=<event>
onpageshow=<event>
onpopstate=<event>
onredo=<event>
onresize=<event>
onstorage=<event>
onundo=<event>
onunload=<event>

[a]
#core
#events
%endtag=1
href=<url>
hreflang=<lang>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
name,d=<string>
rel=<relrev>
target=<target>
type=<string>

[abbr]
#core
#events
%endtag=1

[address]
#core
#events
%endtag=1

[area]
#core
#events
%endtag=0
alt,r=<string>
coords=<string>
href=<url>
hreflang=<lang>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
rel=<relrev>
shape=default|rect|circle|poly
target=<target>
type=<string>

[article]
#core
#events
%endtag=1

[aside]
#core
#events
%endtag=1

[audio]
#core
#events
%endtag=1
autoplay=<boolean>
controls=<boolean>
loop=<boolean>
preload=none|metadata|auto
src=<url>

[b]
#core
#events
%endtag=1

[base]
%endtag=0
href=<url>
target=<target>

[bdo]
#core
#events
%endtag=1

[blockquote]
#core
%endtag=1
cite=<url>

[body]
#core
#events
#events2
%endtag=1

[br]
#core
%endtag=0

[button]
#core
#events
%endtag=1
autofocus=<string>
disabled=<boolean>
form=<string>
formaction=<string>
formenctype=<string>
formmethod=<string>
formnovalidate=<string>
formtarget=<string>
name=<string>
type=button|submit|reset
value=<string>

[canvas]
#core
#events
%endtag=1
width=<height>
width=<number>

[caption]
#core
#events
%endtag=1

[cite]
#core
#events
%endtag=1

[code]
#core
#events
%endtag=1

[col]
#core
#events
%endtag=0
span=<number>

[colgroup]
#core
#events
%endtag=2
span=<number>

[command]
checked=<boolean>
disabled=<boolean>
icon=<url>
label,r=<string>
radiogroup=<string>
title=<string>
type=command|checkbox|radio

[datalist]
#core
#events
%endtag=2

[dd]
#core
#events
%endtag=2

[del]
#core
#events
%endtag=1
cite=<url>
datetime=<string>

[details]
#core
#events
%endtag=1
open=<boolean>

[dfn]
#core
#events
%endtag=1

[div]
#core
#events
%endtag=1

[dl]
#core
#events
%endtag=1

[dt]
#core
#events
%endtag=2

[em]
#core
#events
%endtag=1

[embed]
#core
#events
%endtag=0
height=<number>
src=<url>
type=<string>
width=<number>

[fieldset]
#core
#events
%endtag=1
disabled=<boolean>
form=<string>
name=<stirng>

[figcaption]
#core
#events
%endtag=1

[figure]
#core
#events
%endtag=1

[footer]
#core
#events
%endtag=1

[form]
#core
#events
%endtag=1
accept-charset=<string>
action,r=<url>
autocomplete=on|off
enctype=<string>
method=get|post
novalidate=novalidate
target=<target>
name=<string>

[frameset]
#core
#events
#events2
%endtag=1
cols=<string>
rows=<string>

[h1]
#core
#events
%endtag=1

[h2]
#core
#events
%endtag=1

[h3]
#core
#events
%endtag=1

[h4]
#core
#events
%endtag=1

[h5]
#core
#events
%endtag=1

[h6]
#core
#events
%endtag=1

[head]
%endtag=1

[header]
#core
#events
%endtag=1

[hgroup]
#core
#events
%endtag=1

[hr]
#core
#events
%endtag=0

[html]
%endtag=1
manifest=<string>

[i]
#core
#events
%endtag=1

[iframe]
#core
%i18n=0
%endtag=1
height=<number>
name=<string>
sandbox=allow-same-origin|allow-forms|allow-scripts
seamless=<boolean>
src=<url>
srcdoc=<string>
width=<number>

[img]
#core
#events
%endtag=0
alt,r=<string>
border,d=<number>
height=<number>
ismap=<boolean>
src,r=<imageurl>
usemap=<url>
width=<number>

[input]
#core
#events
%endtag=0
accept=<string>
alt=<string>
autocomplete=on|off 
autofocus=<string>
checked=<boolean>
disabled=<boolean>
form=<string>
formaction=<string>
formenctype=<string>
formmethod=<string>
formnovalidate=<string>
formtarget=<string>
ismap=<boolean>
list=<string>
min=<string>
max=<string>
multiple=multiple
maxlength=<number>
name=<string>
pattern=<string>
placeholder=<string>
readonly=<boolean>
required=<boolean>
size=<string>
src=<url>
step=<string>
type=button|checkbox|color|date|datetime|datetime|email|file|hidden|image|month|number|password|radio|range|reset|search|submit|tel|text|time|url|week
value=<string>
width=<number>

[ins]
#core
#events
%endtag=1
cite=<url>
datetime=<string>

[kbd]
#core
#events
%endtag=1

[keygen]
#core
#events
%endtag=0
autofocus=<string>
challenge=<string>
disabled=<boolean>
form=<string>
keytype=<string>
name=<string>

[label]
#core
#events
%endtag=1
for=<string>
form=<stirng>

[legend]
#core
#events
%endtag=1

[li]
#core
#events
%endtag=2
value=<number>

[link]
#core
#events
%endtag=0
href=<url>
hreflang=<lang>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
rel=<relrev>
sizes=<string>
type=text/css|text/javascript

[map]
#core
#events
%endtag=1
name,r=<string>

[mark]
#core
#events
%endtag=1

[menu]
#core
#events
%endtag=2
type=context|toolbar|default
label=<string>

[meta]
%endtag=0
charset=<string>
content=<string>
http-equiv=<string>
name=author|description|generator|keywords|revised|robots

[meter]
#core
#events
%endtag=1
form=<string>
high=<number>
low=<number>
max=<number>
min=<number>
optimum=<number>
value=<string>
    
[nav]
#core
#events
%endtag=1

[noscript]
#core
#events
%endtag=1

[object]
#core
#events
%endtag=1
data=<url>
form=<string>
height=<number>
name=<string>
type=<string>
usemap=<url>
width=<number>

[ol]
#core
#events
%endtag=1
reversed=<boolean>
start=<number>

[optgroup]
#core
#events
%endtag=2
disabled=<boolean>
label,r=<string>

[option]
#core
#events
%endtag=2
disabled=<boolean>
label=<string>
selected=<boolean>
value=<string>

[output]
#core
#events
for=<string>
form=<string>
name=<string>

[p]
#core
#events
%endtag=2

[param]
%endtag=0
name,r=<string>
value,r=<string>

[pre]
#core
#events
%endtag=1

[progress]
#core
#events
%endtag=1
form=<string>
max=<number>
value=<number>

[q]
#core
#events
%endtag=1
cite=<url>

[rp]
#core
#events
%endtag=1

[rt]
#core
#events
%endtag=1

[ruby]
#core
#events
%endtag=1

[samp]
#core
#events
%endtag=1

[script]
%endtag=1
async=<boolean>
charset=<string>
defer=<boolean>
language,d=<string>
src=<url>
type=<string>

[section]
#core
#events
%endtag=1

[select]
#core
#events
%endtag=1
autofocus=<string>
disabled=<boolean>
form=<string>
multiple=<boolean>
name=<string>
size=<number>

[small]
#core
#events
%endtag=1

[source]
%endtag=0
src=<url>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
type=<string>

[span]
#core
#events
%endtag=1

[strong]
#core
#events
%endtag=1

[style]
%endtag=1
scoped=<boolean>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
type=text/css

[sub]
#core
#events
%endtag=1

[summary]
#core
#events
%endtag=1

[sup]
#core
#events
%endtag=1

[table]
#core
#events
%endtag=1
summary=<string>

[tbody]
#core
#events
%endtag=1

[textarea]
#core
#events
%endtag=1
autofocus=<string>
cols=<number>
disabled=<boolean>
form=<string>
maxlength=<number>
name=<string>
placeholder=<string>
readonly=<boolean>
required=<boolean>
rows=<number>
wrap=soft|hard

[td]
#core
#events
%endtag=2
colspan=<number>
headers=<string>
rowspan=<number>

[tfoot]
#core
#events
%endtag=2

[th]
#core
#events
%endtag=2
colspan=<number>
headers=<string>
rowspan=<number>
scope=<scope>

[thead]
#core
#events
%endtag=2

[time]
#core
#events
%endtag=1
datetime=<string>
pubdate=<boolean>

[title]
%endtag=1

[tr]
#core
#events
%endtag=2

[ul]
#core
#events
%endtag=1

[var]
#core
#events
%endtag=1

[video]
#core
#events
%endtag=1
autoplay=<boolean>
controls=<boolean>
height=<number>
loop=<boolean>
poster=<url>
preload=none|metadata|auto
src=<url>
width=<number>

[wbr]
#core
%endtag=0